<?php

namespace OilDatabase\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Tag
 */
class TagOil
{
    /**
     * @var integer
     */
    private $id;

    /**
     * @var \OilDatabase\Entity\Tag
     */
    private $tag;

    /**
     * @var \OilDatabase\Entity\Oil
     */
    private $oil;

    /**
     * Get id
     *
     * @return integer 
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set oil
     *
     * @param \OilDatabase\Entity\Oil $oil
     * @return TagOil
     */
    public function seOil(\OilDatabase\Entity\Oil $oil = null)
    {
        $this->oil = $oil;

        return $this;
    }

    /**
     * Get category
     *
     * @return \OilDatabase\Entity\Oil
     */
    public function getOil()
    {
        return $this->oil;
    }

    /**
     * Set tag
     *
     * @param \OilDatabase\Entity\Tag $tag
     * @return Oil
     */
    public function setTag(\OilDatabase\Entity\Tag $tag = null)
    {
        $this->tag = $tag;

        return $this;
    }

    /**
     * Get category
     *
     * @return \OilDatabase\Entity\Tag
     */
    public function getTag()
    {
        return $this->tag;
    }
}

